# Uses of Class
it.tdlight.jni.TdApi.PremiumGiveawayParticipantStatus

## Uses of TdApi.PremiumGiveawayParticipantStatus in it.tdlight.jni

Subclasses of TdApi.PremiumGiveawayParticipantStatus in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.PremiumGiveawayParticipantStatusAdministrator`
The user can't participate in the giveaway, because they are an administrator in one of the chats that created the giveaway.
`static final class`
`TdApi.PremiumGiveawayParticipantStatusAlreadyWasMember`
The user can't participate in the giveaway, because they have already been member of the chat.
`static final class`
`TdApi.PremiumGiveawayParticipantStatusDisallowedCountry`
The user can't participate in the giveaway, because they phone number is from a disallowed country.
`static final class`
`TdApi.PremiumGiveawayParticipantStatusEligible`
The user is eligible for the giveaway.
`static final class`
`TdApi.PremiumGiveawayParticipantStatusParticipating`
The user participates in the giveaway.
Fields in it.tdlight.jni declared as TdApi.PremiumGiveawayParticipantStatus
Modifier and Type
Field
Description
`TdApi.PremiumGiveawayParticipantStatus`
TdApi.PremiumGiveawayInfoOngoing.`status`
Status of the current user in the giveaway.
Constructors in it.tdlight.jni with parameters of type TdApi.PremiumGiveawayParticipantStatus
Modifier
Constructor
Description
``
`PremiumGiveawayInfoOngoing(int creationDate, TdApi.PremiumGiveawayParticipantStatus status, boolean isEnded)`
Describes an ongoing giveaway.